reboot(8)

NAME
reboot, halt, poweroff - reboot or stop the system

SYNOPSIS
reboot [OPTION]... halt [OPTION]... poweroff [OPTION]...

DESCRIPTION
These utilities allow a system administrator to reboot, halt or poweroff the system. When called without the -f option, they simply invoke shutdown(8) with the appropriate arguments.

OPTIONS

-f  Does not invoke shutdown(8) and instead performs the actual action you would expect from the name. This is generally used from the event handler itself.

-n  Does not call sync(2) before performing the reboot; this could result in data loss. On Linux, this probably has no effect as the kernel flushes all write buffers before shutting down.

-h  Iterates /proc/ide to find all IDE disk drives and requests that they enter a standby mode before shutting down. On Linux, this is unnecessary as the kernel will do this anyway.

-i  Iterates configured network interfaces and brings them down before shutting down. On Linux, this is unnecessary as the kernel will do this anyway.

-p  Instructs the halt command to instead behave as poweroff.

NOTES
This tool is provided for compatibility with the traditional System V init(8).

AUTHOR
Written by Scott James Remnant.

REPORTING BUGS
Report bugs at https://launchpad.net/products/upstart/+bugs

COPYRIGHT
Copyright © 2007 Canonical Ltd.
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
shutdown(8) telinit(8)